Get indexing run status
curl --request GET \
--url https://alpha.api.trycaesar.com/v1/files/index/{sync_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://alpha.api.trycaesar.com/v1/files/index/{sync_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://alpha.api.trycaesar.com/v1/files/index/{sync_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"completed_at": "<string>",
"error": "<string>",
"started_at": "<string>",
"state": "<string>",
"stats": {
"bytes": 123,
"deleted": 123,
"enumerated": 123,
"failed": 123,
"fetched": 123,
"indexed": 123,
"skipped_unsupported": 123
},
"sync_id": "<string>",
"$schema": "https://alpha.api.trycaesar.com/FileIndexStatusResponse.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}Files
Get indexing run status
Progress and outcome of one files indexing run.
GET
/
v1
/
files
/
index
/
{sync_id}
Get indexing run status
curl --request GET \
--url https://alpha.api.trycaesar.com/v1/files/index/{sync_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://alpha.api.trycaesar.com/v1/files/index/{sync_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://alpha.api.trycaesar.com/v1/files/index/{sync_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"completed_at": "<string>",
"error": "<string>",
"started_at": "<string>",
"state": "<string>",
"stats": {
"bytes": 123,
"deleted": 123,
"enumerated": 123,
"failed": 123,
"fetched": 123,
"indexed": 123,
"skipped_unsupported": 123
},
"sync_id": "<string>",
"$schema": "https://alpha.api.trycaesar.com/FileIndexStatusResponse.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Indexing run identifier returned by POST /v1/files/index.
Maximum string length:
128Response
Indexing run status.
Run completion time (RFC 3339), null while in flight.
Terminal error detail, null while healthy.
Run start time (RFC 3339), null before it starts.
Run state (queued, planning, running, completed, failed, …).
Progress counters.
Show child attributes
Show child attributes
Indexing run identifier.
A URL to the JSON Schema for this object.
Example:
"https://alpha.api.trycaesar.com/FileIndexStatusResponse.json"